<mat-dialog-content>
    <ng-template [ngIf]="machine.machine_images !== null">
        <app-custom-carousel class="carousel">
            <div
                class="carousel-cell"
                *ngFor="let image of machine.machine_images"
            >
                <img [src]="image.path" [alt]="machine.name" />
            </div>
        </app-custom-carousel>
    </ng-template>

    <div class="top">
        <h2 mat-dialog-title>{{ machine.name }}</h2>

        <button mat-icon-button color="primary" (click)="onClose()">
            <mat-icon>close</mat-icon>
        </button>
    </div>

    <div class="info">
        <div>
            <mat-icon>pending_actions</mat-icon>
            <strong>Estado:</strong>&nbsp;{{
                machine.state ? 'Disponível' : 'Indisponível'
            }}
        </div>
    </div>

    <ng-template [ngIf]="exercises">
        <mat-accordion class="accordions">
            <mat-expansion-panel *ngFor="let exercise of exercises">
                <mat-expansion-panel-header>
                    <mat-panel-title>{{ exercise.name }}</mat-panel-title>
                </mat-expansion-panel-header>
                <div class="exercise-content">
                    <div
                        class="left-side"
                        *ngIf="exercise.exercise_images !== null"
                        [style.background-image]="
                            'url(' + exercise.exercise_images[0].path + ')'
                        "
                    ></div>
                    <div class="info">
                        <h3>{{ exercise.name }}</h3>

                        <div class="muscle">
                            <mat-icon svgIcon="sprite:athlete"></mat-icon>
                            {{ exercise.muscle }}
                        </div>
                        <div class="type">
                            <mat-icon>info</mat-icon>
                            {{
                                exercise.type === 'Reps'
                                    ? 'Repetições'
                                    : 'Tempo'
                            }}
                        </div>
                    </div>
                </div>
            </mat-expansion-panel>
        </mat-accordion>
    </ng-template>
</mat-dialog-content>
